ruby-gherkin_4.0.0-2_all.deb


Advertisement

Description

ruby-gherkin - lexer and parser for the Gherkin language in Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-gherkin
Package version 4.0.0
Package release 2
Package architecture all
Package type deb
Installed size 182 B
Download size 22.15 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-gherkin_4.0.0-2_all.deb 4.0.0 all Debian Main
ruby-gherkin - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-gherkin_4.0.0-2_all.deb
Source Package ruby-gherkin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-gherkin deb package:
    # sudo apt-get install ruby-gherkin

Files

Path
/usr/bin/gherkin-generate-ast
/usr/bin/gherkin-generate-pickles
/usr/bin/gherkin-generate-tokens
/usr/lib/ruby/vendor_ruby/gherkin/ast_builder.rb
/usr/lib/ruby/vendor_ruby/gherkin/ast_node.rb
/usr/lib/ruby/vendor_ruby/gherkin/dialect.rb
/usr/lib/ruby/vendor_ruby/gherkin/errors.rb
/usr/lib/ruby/vendor_ruby/gherkin/gherkin-languages.json
/usr/lib/ruby/vendor_ruby/gherkin/gherkin_line.rb
/usr/lib/ruby/vendor_ruby/gherkin/parser.rb
/usr/lib/ruby/vendor_ruby/gherkin/token.rb
/usr/lib/ruby/vendor_ruby/gherkin/token_formatter_builder.rb
/usr/lib/ruby/vendor_ruby/gherkin/token_matcher.rb
/usr/lib/ruby/vendor_ruby/gherkin/token_scanner.rb
/usr/lib/ruby/vendor_ruby/gherkin/pickles/compiler.rb
/usr/share/doc/ruby-gherkin/TODO.Debian
/usr/share/doc/ruby-gherkin/changelog.Debian.gz
/usr/share/doc/ruby-gherkin/copyright
/usr/share/rubygems-integration/all/specifications/gherkin-4.0.0.gemspec

Changelog

2016-07-25 - Stefano Rivera <stefanor@debian.org>
ruby-gherkin (4.0.0-2) unstable; urgency=medium
* Team upload.
* ruby-gherkin is now architecture-independent.
2016-07-25 - Stefano Rivera <stefanor@debian.org>
ruby-gherkin (4.0.0-1) unstable; urgency=medium
[ Stefano Rivera ]
* Team upload.
* New upstream release.
* Drop all patches, superseded upstream.
* Drop (Build-)Dependencies: ragel, ruby-json, ruby-multi-json.
* Drop debian/Rakefile, no longer necessary.
* History.md no longer exists.
* Bump Standards-Version to 3.9.8, no changes needed.
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9.
* Remove version in the gem2deb build-dependency.
* Use https:// in Vcs-* fields.
* Run wrap-and-sort on packaging files.
2014-04-25 - Cédric Boutillier <boutil@debian.org>
ruby-gherkin (2.12.2-3) unstable; urgency=medium
* Add encoding_ruby21.patch to change the regexp matching the Ruby version
used to know when making use of Encoding features, so that it matches
Ruby2.1. This fixes FTBFS because of test failures with Ruby2.1.
(Closes: #744807)
* Remove noop encoding change in ruby-tests.rake
2013-11-29 - Cédric Boutillier <boutil@debian.org>
ruby-gherkin (2.12.2-2) unstable; urgency=low
* Include again accidentally dropped changes from 2.12.1-2
+ restore missing changelog entry for 2.12.1-2
+ reintroduce same_sed_all_arches.patch to use the same sed commands on
all arches (and fix build on non Linux arches)
2013-11-28 - Cédric Boutillier <boutil@debian.org>
ruby-gherkin (2.12.2-1) unstable; urgency=low
* Imported Upstream version 2.12.2
* Bump Standards-Version to 3.9.5 (no changes needed)
* Build against gem2deb >= 0.5 to add Ruby 2.0 support and drop Ruby 1.8
* debian/patches:
- refresh remove_bundler_rubygems_stuff.patch and skip_encoding_lexer.patch
- add skip_beautify_ragel_task.patch to skip beautification of generated
Ruby code (until ruby-beautify is packaged)
2013-09-02 - Cédric Boutillier <boutil@debian.org>
ruby-gherkin (2.12.1-2) unstable; urgency=low
* add same_sed_all_arches.patch:
+ do not distinguish between linux and other kernels for sed options
+ fixes build issues on non linux ports
2013-07-31 - Cédric Boutillier <boutil@debian.org>
ruby-gherkin (2.12.1-1) unstable; urgency=low
* Imported Upstream version 2.12.1
* Refresh patches
* debian/control:
+ bump Standards-Version to 3.9.4 (no changes needed)
+ update my email address
+ build-depend on ruby-multi-json, ragel
+ depend on ruby-multi-json
* debian/rules:
+ Install upstream changelog
+ use debian/Rakefile to regenerate upstream C and Ruby files from ragel
* add myself to copyright holders of debian/*
* debian/patches:
+ add fix_path_ragel_task.patch: fix paths in sed commands in
tasks/ragel_task.rb
+ add skip_encoding_lexer.patch, skipping failing tests on powerpc
+ remove signed_char.patch from quilt series
2013-05-18 - Antonio Terceiro <terceiro@debian.org>
ruby-gherkin (2.11.1-2) unstable; urgency=low
* debian/patches/signed_char.patch: force the assumption of signedness for
the char type (Closes: #685952)
2012-06-27 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-gherkin (2.11.1-1) unstable; urgency=low
* New upstream version
2012-06-25 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-gherkin (2.11.0-2) unstable; urgency=low
* Build-depend on gem2deb >=0.3.0

See Also

Package Description
ruby-gio2_3.3.0-1_amd64.deb GIO bindings for the Ruby language
ruby-gir-ffi_0.14.1-1_all.deb FFI-based GObject binding using the GObject Introspection Repository
ruby-git_1.2.8-1_all.deb Ruby interface to the Git revision control system
ruby-gitaly_0.105.0+dfsg-2_all.deb Auto-generated gRPC client for gitaly
ruby-github-api_0.18.2-1_all.deb Ruby client for the official GitHub API
ruby-github-linguist_5.3.3-1_amd64.deb detection and highlight of the programming language of source code
ruby-github-markdown_0.6.9-2+b2_amd64.deb Markdown parser for GitHub.com
ruby-github-markup_1.6.5-1_all.deb GitHub Markup rendering
ruby-gitlab-flowdock-git-hook_1.0.1-4_all.deb Git Post-Receive hook for Flowdock
ruby-gitlab_4.5.0-1_all.deb Ruby wrapper and CLI for the GitLab API
ruby-gli_2.14.0-1_all.deb Build command-suite CLI apps without a lot of syntax
ruby-glib2_3.3.0-1_amd64.deb GLib 2 bindings for the Ruby language
ruby-globalid_0.3.6-1_all.deb reference models by URI for Ruby on Rails
ruby-gnome2-dev_3.3.0-1_amd64.deb GNOME-related bindings for the Ruby language (development files)
ruby-gnome2_3.3.0-1_all.deb GNOME-related bindings for the Ruby language
Advertisement
Advertisement